System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

Web service writers and readers serialize and deserialize, respectively, between the parameter or return objects of Web methods and the HTTP request or response streams. The class establishes a common interface and functionality for reader and writer classes, in both client and service-side .

The class supports the .NET Framework's implementations of Web services via the HTTP-GET and HTTP-POST operations. In HTTP-GET operations request parameters are encoded in the HTTP request's Uniform Resource Locator (URL). In HTTP-POST operations, request parameters are encoded in the HTTP request body, as with an HTML form. With both implementations, the return value appears in the HTTP response body as a non-SOAP XML document.

A developer typically does not need to directly use or its descendant classes. Instead, when the Wsdl.exe tool generates client proxy code according to the HTTP-GET or HTTP-POST implementations, it applies the to each Web method and sets the attribute's and properties to the appropriate type derived from the class. On the server, the appropriate derived types are used according to settings in an ASP.NET configuration file (Web.config). On the client the appropriate derived types are determined from the WSDL.

Provides an abstract base class for all readers and writers for Web services and clients implemented using HTTP but without SOAP.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Web.Services.Protocols.MimeFormatter `` ``

  The method creates an instance of the derived class and invokes the derived class's implementation of the abstract method. The method is invoked at the time a request or response is processed.

  An initializer is an object passed as a parameter to the method. The initializer passed as a parameter to the method is obtained from another instance of the derived class, by invoking the method during client or service initialization.

  Creates and initializes an instance of a concrete class derived from .

  A object.

  The Type, derived from , of which to create an instance. An object used to initialize the instance obtained earlier through the derived class's implementation of the method. 1.0.5000.0 2.0.0.0
- Method
  System.Object ``

  An initializer is an object passed as a parameter to the method.

  A derived class's implementation of the instance method is invoked during client or service initialization. Later, at the time a request or response is processed, the initializer object is passed to the static method, which creates an instance of another object of the derived class, and then to the method to initialize it. The other object performs the actual reading or writing.

  When overridden in a derived class, returns an initializer for the specified method.

  An that contains the initializer for the specified method.

  A that specifies the Web method for which the initializer is obtained. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` ``

  An initializer is an object passed as a parameter to the method.

  The static method invokes the derived class's method, implicitly creating an instance of the derived class. At the time a request or response is processed, the initializer object is passed to the method of another instance of the derived class. The latter object performs the actual reading or writing.

  Returns an initializer for the specified method.

  A object that contains the initializer for the specified method.

  The Type, derived from ,- for which an initializer is obtained. A that specifies the Web method for which the initializer is obtained. 1.0.5000.0 2.0.0.0
- Method
  System.Object[] ``

  An initializer is an object passed as a parameter to the method.

  The instance method invokes the instance method for each input Web method. This means an instance of a class derived from has already been created. At the time a request or response is processed, the initializer is passed to the method of another instance of the derived class. The latter object performs the actual reading or writing.

  When overridden in a derived class, returns an array of initializer objects corresponding to an input array of method definitions.

  An array of initializer objects corresponding to the input array of method definitions.

  An array of Web methods where, for each method, the object of the corresponding index in the returned initializer array is obtained. 1.0.5000.0 2.0.0.0
- Method
  System.Object[] `` ``

  An initializer is an object passed as a parameter to the method.

  The static method causes the invocation of the method belonging to the derived class specified by the parameter.

  Returns an array of initializer objects corresponding to an input array of method definitions for a specified class derived from .

  An array of initializer objects corresponding to the input array of method definitions for a specified class derived from .

  The Type, derived from , for which initializers are obtained. An array of type that specifies the Web methods for which the initializers are obtained. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method is invoked at the time a request or response is processed; however, the initializer is obtained by calling the method on another instance during client or service initialization.

  When overridden in a derived class, initializes an instance.

  An object of a type appropriate to the particular class that is implementing the method. 1.0.5000.0 2.0.0.0